Page MenuHomePhabricator

Fallback gl to es
Open, LowPublic

Description

Galician (gl) fallbacks to Portuguese (pt) as per 4197b4b678c6, however Galician is only spoken in the spanish region of Galicia. Seems like a good idea to fallback to Spanish since all people in Galicia knows Spanish, but it's less likely that they'll know Portuguese, even if some words and pronunciation might be similar.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 11 2016, 4:20 PM

Change 320994 had a related patch set uploaded (by MarcoAurelio):
Fallback Galician (gl) to Spanish (es)

https://gerrit.wikimedia.org/r/320994

MarcoAurelio triaged this task as Low priority.Nov 11 2016, 4:32 PM
MarcoAurelio removed MarcoAurelio as the assignee of this task.Jan 11 2017, 9:32 PM

Patch submitted, awaiting review. Does not depend on me anymore.

Amire80 added a subscriber: Amire80.Apr 5 2017, 6:48 PM

Has this been discussed with any Galician Wikipedia editors or readers?

Nemo_bis added a subscriber: Nemo_bis.EditedApr 6 2017, 7:01 AM

The standard process is to open a discussion between translators at the portal talk. Done now: https://translatewiki.net/wiki/Thread:Portal_talk:Gl/Fallback_to_Spanish_rather_than_Portuguese (maybe MarcoAurelio wants to add some comment in Spanish there, so that people not too comfortable with English can join too).

Currently, the fallback has little impact because the localisation is always nearly complete: messages are now 97 % translated, the magic words and special pages names are largely translated. We should make a list of the namespaces, special pages and magic words which currently fallback and would change, in particular to ensure we don't break (too many) links.

All galician editors and people who live in Galicia will know spanish as
first or second language. You can't pretend that portuguese enjoys the same
status when it is not spoken in Galicia, nor is it teached at galician
schools, nor it is similar to galician but to some words. Setting the
fallback to pt for gl on first place was a mistake. Galician is only spoken
at Spain and nowhere else, so you can't pretend that someone, ie, of A
Coruña or Lugo or Ferrol knows Portuguese, but they'll 99% surely know
Spanish. Very old people in rural areas who didn't went to school might
only know Galician, but those are very few people thankfully, as going to
school is mandatory in Spain since some decades already. Fallbacks are to
help editors undertand untranslated messages. It is of no help to have the
fallback set to a language that it is not that close nor is it spoken
there. Correcting obvious mistakes don't need discussion IMHO. Thanks.

I agree there is no need for consensus or anything, but it's good to be fully aware of what we're changing. So could you please compare the list of translated (and untranslated) magic words etc. as I suggested above?

I agree there is no need for consensus or anything,

Um, sorry, there is.

Unless I'm missing something, not a single Galician speaker has participated in this discussion, and Galician speakers are the people who are going to be affected by this change.

Before getting into procedural debates, let's make sure we know what we're talking about and if necessary warn gl translators directly.

Before getting into procedural debates, let's make sure we know what we're talking about and if necessary warn gl translators directly.

They shouldn't be warned; they should at least participate in the discussion.

They lived well for years with the Portuguese fallback, and I don't remember any of them complaining, though I might be wrong.

If you wish to, please proceed. I have very limited time this days to play
this cat and mice game. If common sense or basic rationality is not enough
of a reason to revert an obvious mistake I better invest my limited time
elsewhere, respectfully.

Aklapper changed the task status from Open to Stalled.Apr 29 2017, 4:58 PM

Setting task to "stalled" status until Galician speakers join the discussion.

Nemo_bis changed the task status from Stalled to Open.Apr 29 2017, 5:40 PM

@Nemo_bis: Could you explain why you reset the status?

Aklapper changed the task status from Open to Stalled.May 10 2017, 11:43 AM
Nemo_bis changed the task status from Stalled to Open.May 10 2017, 2:09 PM

Explanation was already provided.

@Nemo_bis: If you consider T150540#3160594 an "explanation" then please elaborate on the reply in T150540#3160599 instead of continuing to edit-war on the status of this task.

No comments on that thread means the patch can go forward?

Sure, there's no reason to block the fix. It would still be nice to make the commit message more detailed, to show what the consequences are on magic words, namespaces, special pages, formats.

No comments on that thread means the patch can go forward?

No.

I don't see a single Galician speaker who supports this. Did I miss anything? Is there a discussion that involves Galician speakers elsewhere?

Was there any discussion when they set it to pt? No.

Do you speak galician? I don't think so. I do, not at native level, but I do.

Portuguese and Galician might have some similarity, but thinking that they're interchangeable is incorrect. If you think otherwise please produce some evidence or I kindly request you to recuse from this task, as what you've done repeatedly here is to block this for purely bureaucratic things and no reasoning at all as Nemo bis well pointed above.

Respectfully submitted.

Let's please avoid repeating identical comments over and over.

Was there any discussion when they set it to pt? No.
Do you speak galician? I don't think so. I do, not at native level, but I do.

I don't speak Galician, but I did study Spanish, Catalan, Portuguese, French, Occitan, Italian, and Latin, as well as general linguistics and Romance linguistics. So I kinda know a thing or two around the subject. Please don't make assumptions.

Portuguese and Galician might have some similarity, but thinking that they're interchangeable is incorrect. If you think otherwise please produce some evidence or I kindly request you to recuse from this task, as what you've done repeatedly here is to block this for purely bureaucratic things and no reasoning at all as Nemo bis well pointed above.

This is neither "bureaucratic" nor "procedural". This is common sense. I expect people whose language is affected by a software change to participate in the discussion about that change. Finding such people in the Wikimedia world isn't too hard.

MarcoAurelio added a comment.EditedSep 24 2017, 11:40 AM

So there was some comments in the discussion on translatewiki.net. Myself and Banjo agree, while Elisardojm isn't sure about it. How should we proceed now?

Well... I'm slightly less opposed now, because some discussion is better than no discussion. With only one Galician speaker really supporting it, it's really not worth the effort—changing a fallback also requires patches for backwards compatibility, etc. I'm not going to block any longer, but I still strongly advise against it.

Most of all, I don't see what problem does it solve. Did any Galician speaker ever complain that the fallback is not Spanish?

Maybe we can keep things as they are :)

Change 320994 abandoned by MarcoAurelio:
Fallback Galician (gl) to Spanish (es)

Reason:
See task. Restore if required.

https://gerrit.wikimedia.org/r/320994

MarcoAurelio closed this task as Declined.Feb 6 2018, 10:04 PM

Self-declining due to not worth the effort. I still believe pt is an anomalous fallback, but I don't have the energy to set all backwards compatibility stuff.

Nemo_bis reopened this task as Open.Feb 7 2018, 7:02 AM
Nemo_bis claimed this task.
Amire80 moved this task from Untriaged to Fallback on the I18n board.Mar 18 2018, 2:07 PM
Fito awarded a token.Feb 7 2019, 3:22 PM